/***************************************************************************
 *   Copyright (C) 2007 by Andreas Eckstein                                *
 *   andreas.eckstein@gmx.net                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef TDEIO_FIND_H
#define TDEIO_FIND_H

#include <tdeio/forwardingslavebase.h>
#include "findimpl.h"

class tdeio_findProtocol : public TDEIO::SlaveBase
{
public:
    tdeio_findProtocol(const TQCString &protocol, const TQCString &pool, const TQCString &app);
    virtual ~tdeio_findProtocol();
    virtual void listDir(const KURL &url);
    virtual void stat(const KURL &url);
    
private:
    void malformedError(const KURL& url, TQString func, FindURL& furl);
    
    FindImpl m_impl;
};

#endif
