/***************************************************************************
 *   Copyright (C) 2007 by Andreas Eckstein   *
 *   andreas.eckstein@gmx.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef FINDIMPL_H
#define FINDIMPL_H

#include <tdeio/global.h>
#include <tdeio/job.h>

#include <qdir.h>
#include <qpixmap.h>
#include "trackerfindclient.h"
#include "findurl.h"

class FindImpl : public TQObject
{
//Q_OBJECT

public:
    FindImpl();
    void applyFilter(ResultList& list, FindURL& url);
    void appendToHistory(FindURL& furl);
    void parseHistory(TQValueList<TDEIO::UDSEntry> &list);
    bool listSearches(TQValueList<TDEIO::UDSEntry> &list);
    void createTopLevelEntry(TDEIO::UDSEntry &entry) const;
    void createSearchSecondLevelEntry(TDEIO::UDSEntry &entry, TQString searchstring) const;
    bool listSearch(FindURL& furl, TQValueList<TDEIO::UDSEntry> &list);

private:
    bool getBasename(TQString& path, TQString& basename);
    const char *getIcon(FindURL &url);
    TQDir history_dir;
    static const TQString history_dir_name;
};

#endif
