/***************************************************************************
 *   Copyright (C) 2007 by Andreas Eckstein                                *
 *   andreas.eckstein@gmx.net                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef FINDURL_H
#define FINDURL_H

#include <kurl.h>
#include <qurl.h>

class FindURL : public KURL
{
public:
    FindURL(TQString urlstring);
    FindURL(KURL& url);
    FindURL(const KURL& url);

    ~FindURL();
    bool isNormalised();
    bool isMalformed();

    TQString filter();
    TQString search();
    int port();
    bool hasFilter();
    bool hasSearch();

private:
    bool malformed;
    bool normalised;
    bool parseURL(TQString path);
    bool parsePath();
    TQString m_filter;
    TQString m_search;
};

#endif
